Subject: r600_dri.so: problems with video windows locking up, windows getting stuck with r600

From: Arthur Marsh <[email-masked]>
Date: Sun, 18 Dec 2016 22:36:06 +1030

Package: libgl1-mesa-dri
Version: 13.0.2-3
Severity: normal
File: r600_dri.so

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?

I had problems with video playback under mpv that pointed to r600_dri.so 
issues: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=848407

These problems existed across multiple kernel revisions and under both
plasma and xfce4 desktops.

In addition to video playback, I would get windows such as chromium's
and the plasma panel fail to refresh unless I switched to vt1 and back to
vt7.

I'm a bit stuck as to what to try and am not quite up to building mesa git
source to further test things without more complete instructions than what 
I could find online.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?
   * What was the outcome of this action?
   * What outcome did you expect instead?

*** End of the template - remove these template lines ***

-- System Information:
Debian Release: stretch/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 4.9.0+ (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
Init: sysvinit (via /sbin/init)

Versions of packages libgl1-mesa-dri:amd64 depends on:
ii  libc6            2.24-8
ii  libdrm-amdgpu1   2.4.74-1
ii  libdrm-intel1    2.4.74-1
ii  libdrm-nouveau2  2.4.74-1
ii  libdrm-radeon1   2.4.74-1
ii  libdrm2          2.4.74-1
ii  libelf1          0.166-2.2
ii  libexpat1        2.2.0-1
ii  libgcc1          1:7-20161201-1
ii  libgcrypt20      1.7.5-2
ii  libllvm3.9       1:3.9.1-1
ii  libsensors4      1:3.4.0-3
ii  libstdc++6       6.2.1-7

Versions of packages libgl1-mesa-dri:amd64 recommends:
ii  libtxc-dxtn-s2tc0 [libtxc-dxtn0]  0~git20131104-1.1

libgl1-mesa-dri:amd64 suggests no packages.

-- debconf-show failed